Subject: Re: [net-next v4 10/12] ASoC: SOF: Introduce descriptors for SOF client

From: Greg KH <[email-masked]>
Date: Tue, 7 Jul 2020 16:16:14 +0200

On Mon, Jul 06, 2020 at 04:02:57PM -0700, Dan Williams wrote:
> On Thu, Jul 2, 2020 at 6:44 AM Ranjani Sridharan
> <[email-masked]> wrote:
> [..]
> > > > Hi Jason,
> > > >
> > > > We're addressing the naming in the next version as well. We've had
> > > > several people reject the name virtual bus and we've narrowed in on
> > > > "ancillary bus" for the new name suggesting that we have the core
> > > > device that is attached to the primary bus and one or more sub-
> > > > devices
> > > > that are attached to the ancillary bus. Please let us know what you
> > > > think of it.
> > >
> > > I'm thinking that the primary person who keeps asking you to create
> > > this
> > > "virtual bus" was not upset about that name, nor consulted, so why
> > > are
> > > you changing this?  :(
> > >
> > > Right now this feels like the old technique of "keep throwing crap at
> > > a
> > > maintainer until they get so sick of it that they do the work
> > > themselves..."
> >
> > Hi Greg,
> >
> > It wasnt our intention to frustrate you with the name change but in the
> > last exchange you had specifically asked for signed-off-by's from other
> > Intel developers. In that process, one of the recent feedback from some
> > of them was about the name being misleading and confusing.
> >
> > If you feel strongly about the keeping name "virtual bus", please let
> > us know and we can circle back with them again.
> 
> Hey Greg,
> 
> Feel free to blame me for the naming thrash it was part of my internal
> review feedback trying to crispen the definition of this facility. I
> was expecting the next revision to come with the internal reviewed-by
> and an explanation of all the items that were changed during that
> review.

That would have been nice to see, instead of it "leaking" like this :(

thanks,

greg k-h